org.apache.uima.cas.impl

## Enum TypeSystemUtils.PathValid

- java.lang.Object
- - java.lang.Enum<TypeSystemUtils.PathValid>
  - - org.apache.uima.cas.impl.TypeSystemUtils.PathValid

- All Implemented Interfaces:
    Serializable, Comparable<TypeSystemUtils.PathValid>
  Enclosing class:
    TypeSystemUtils

      public static enum TypeSystemUtils.PathValid
      extends Enum<TypeSystemUtils.PathValid>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS`
    `NEVER`
    `POSSIBLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeSystemUtils.PathValid` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeSystemUtils.PathValid[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final TypeSystemUtils.PathValid NEVER

    - #### POSSIBLE

          public static final TypeSystemUtils.PathValid POSSIBLE

    - #### ALWAYS

          public static final TypeSystemUtils.PathValid ALWAYS

  - ### Method Detail

    - #### values

          public static TypeSystemUtils.PathValid[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeSystemUtils.PathValid c : TypeSystemUtils.PathValid.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeSystemUtils.PathValid valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.